## node-debbundle-insert-module-globals 7.2.0%2Bds%2B~cs3.3.3

=== debian/watch ===
version=4
opts=\
dversionmangle=s/@DEB_EXT@//,\
repacksuffix=+ds,\
filenamemangle=s/.*\/v?(@ANY_VERSION@@ARCHIVE_EXT@)/node-debbundle-insert-module-globals-$1/ \
 https://github.com/browserify/insert-module-globals/releases .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@ group

opts=\
dversionmangle=auto,\
component=node-dash-ast,\
filenamemangle=s/.*\/v?(@ANY_VERSION@@ARCHIVE_EXT@)/node-dash-ast-$1/ \
 https://github.com/goto-bus-stop/dash-ast/releases .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@ checksum

opts=\
dversionmangle=auto,\
component=node-get-assigned-identifiers,\
filenamemangle=s/.*\/v?(@ANY_VERSION@@ARCHIVE_EXT@)/node-get-assigned-identifiers-$1/ \
 https://github.com/goto-bus-stop/get-assigned-identifiers/releases .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@ checksum

opts=\
dversionmangle=auto,\
component=node-undeclared-identifiers,\
filenamemangle=s/.*\/v?(@ANY_VERSION@@ARCHIVE_EXT@)/node-undeclared-identifiers-$1/ \
 https://github.com/goto-bus-stop/undeclared-identifiers/releases .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@ checksum
