## node-debbundle-insert-module-globals 7.2.0+ds+~1.0.0+~1.2.0+~1.1.3

=== debian/changelog ===
node-debbundle-insert-module-globals (7.2.0+ds+~1.0.0+~1.2.0+~1.1.3-3) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.5.0
  * Add "Rules-Requires-Root: no"
  * Drop unneeded version constraints from (build) dependencies
  * Use pkg-js-tools auto test
  * Skip isbuffer.js test that requires an old module-deps (Closes: #954697)

 -- Xavier Guimard <yadd@debian.org>  Thu, 26 Mar 2020 08:58:52 +0100

node-debbundle-insert-module-globals (7.2.0+ds+~1.0.0+~1.2.0+~1.1.3-2) unstable; urgency=medium

  * Source upload and rebuild

 -- Bastien Roucariès <rouca@debian.org>  Mon, 02 Mar 2020 00:03:59 +0100

node-debbundle-insert-module-globals (7.2.0+ds+~1.0.0+~1.2.0+~1.1.3-1) unstable; urgency=low

  * Initial release (Closes: #884448)

 -- Bastien Roucariès <rouca@debian.org>  Sun, 01 Mar 2020 16:00:30 +0100
