## node-debbundle-insert-module-globals 7.2.0+ds+~cs3.3.3

=== debian/changelog ===
node-debbundle-insert-module-globals (7.2.0+ds+~cs3.3.3-1) unstable; urgency=medium

  * Team upload
  * Fix gbp.conf (missing components)
  * Use uscan checksum and repack (no changes)

 -- Xavier Guimard <yadd@debian.org>  Tue, 26 May 2020 10:11:31 +0200
