## node-debbundle-insert-module-globals 7.2.1%2Bds%2B~cs4.3.4

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 SUBMODULES_GIT=node-dash-ast node-get-assigned-identifiers node-undeclared-identifiers
 
 %:
-	dh $@ --with nodejs
+	dh $@
 
 override_dh_fixperms:
 	dh_fixperms -O "--with nodejs"
@@ -82,9 +82,9 @@
        # skip
 endif
 
-
-
 COMPONENTS_LIST_GIT_DPM=$(foreach component,$(SUBMODULES_GIT),--component ../$(MAIN_PKG)_$(DEB_VERSION_UPSTREAM).orig-$(component).tar.*)
 
 git_dpm_rules:
 	git dpm inu --ignore-unclean-branches --pristine-tar $(COMPONENTS_LIST_GIT_DPM) --rebase ../$(MAIN_PKG)_$(DEB_VERSION_UPSTREAM).orig.tar.*
+
+.PHONY=test_suites git_dpm_rules
