## node-debbundle-insert-module-globals 7.2.1+ds+~cs4.3.4

=== debian/changelog ===
node-debbundle-insert-module-globals (7.2.1+ds+~cs4.3.4-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on node-concat-stream, node-tap,
      node-through2 and nodejs.
    + node-debbundle-insert-module-globals: Drop versioned constraint on
      node-concat-stream, node-through2 and nodejs in Depends.

  [ Bastien Roucariès]
  * Fix autopkgtest

 -- Bastien Roucariès <rouca@debian.org>  Thu, 26 Aug 2021 15:41:44 +0000

node-debbundle-insert-module-globals (7.2.1+ds+~cs4.3.4-2) unstable; urgency=medium

  * Fix autopkgtest

 -- Bastien Roucariès <rouca@debian.org>  Tue, 17 Aug 2021 00:08:52 +0000

node-debbundle-insert-module-globals (7.2.1+ds+~cs4.3.4-1) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

  [ Bastien Roucariès]
  * New upstream version
  * Team upload

 -- Bastien Roucariès <rouca@debian.org>  Mon, 16 Aug 2021 14:20:04 +0000
