=== debian/control ===
--- 
+++ 
@@ -5,27 +5,27 @@
 Testsuite: autopkgtest-pkg-nodejs
 Priority: optional
 Build-Depends:
- debhelper-compat (= 12)
+ debhelper-compat (= 13)
  , node-acorn (>= 5.1) <!nocheck>
  , node-acorn-node <!nocheck>
  , node-browser-pack <!nocheck>
  , node-buffer <!nocheck>
  , node-combine-source-map <!nocheck>
- , node-concat-stream (>= 1.6.1) <!nocheck>
+ , node-concat-stream <!nocheck>
  , node-convert-source-map <!nocheck>
  , node-is-buffer <!nocheck>
  , node-jsonstream <!nocheck>
  , node-module-deps <!nocheck>
  , node-path-is-absolute <!nocheck>
  , node-process <!nocheck>
- , node-tap (>= 8) <!nocheck>
+ , node-tap <!nocheck>
  , node-tape <!nocheck>
- , node-through2 (>= 2.0.0) <!nocheck>
+ , node-through2 <!nocheck>
  , node-timers-browserify <!nocheck>
  , node-xtend <!nocheck>
- , nodejs (>= 10)
- , pkg-js-tools (>= 0.9.10)
-Standards-Version: 4.5.0
+ , nodejs
+ , dh-sequence-nodejs
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/js-team/node-insert-module-globals
 Vcs-Git: https://salsa.debian.org/js-team/node-insert-module-globals.git
 Homepage: https://github.com/browserify/insert-module-globals
@@ -38,14 +38,14 @@
  , node-acorn (>= 5.1)
  , node-acorn-node
  , node-combine-source-map
- , node-concat-stream (>= 1.6.1)
+ , node-concat-stream
  , node-is-buffer
  , node-jsonstream
  , node-path-is-absolute
  , node-process
- , node-through2 (>= 2.0.0)
+ , node-through2
  , node-xtend
- , nodejs (>= 10)
+ , nodejs
 Provides:
  ${nodejs:Provides}
  , node-insert-module-globals (=${source:Version})
