=== debian/rules ===
--- 
+++ 
@@ -82,6 +82,22 @@
        # skip
 endif
 
+test_suites:
+	set -e && cd node-dash-ast && tap -R spec test
+	set -e && cd node-get-assigned-identifiers && tap -R spec test
+	set -e && cd node-undeclared-identifiers && tap −R spec test
+	set -e && tap -R spec `ls test/*.js|grep -v test/isbuffer`
+
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
+override_dh_auto_test: test_suites
+	dh_auto_test
+else
+override_dh_auto_test:
+	@echo '**********************************************************'
+	@echo 'Skip test'
+	@echo '**********************************************************'
+endif
+
 COMPONENTS_LIST_GIT_DPM=$(foreach component,$(SUBMODULES_GIT),--component ../$(MAIN_PKG)_$(DEB_VERSION_UPSTREAM).orig-$(component).tar.*)
 
 git_dpm_rules:
