=== debian/tests/control ===
Test-Command: make -f debian/rules test_suites
Depends: @builddeps@, @
